local addonName,ns = ...
local L = ns.L
ns.NPCyOffset = -5	--用于存光环表内行数
ns.NPCrowFrames = {}--用于存表的行框架,方便查询和删除后重新排序
--NPC表格行
function ns.AddNPCTableButtons(frame,id,name)
	local rowFrame = CreateFrame("Frame", nil, frame)
    rowFrame:SetSize(610, 26)
    rowFrame:SetPoint("TOPLEFT", 5, ns.NPCyOffset)
	ns.NPCrowFrames[id] = rowFrame -- 将行 Frame 存储起来
	local rowFramebackground = rowFrame:CreateTexture(nil, "BACKGROUND")
	rowFramebackground:SetTexture(130937)
	rowFramebackground:SetAllPoints(rowFrame)
	rowFramebackground:SetColorTexture(0.5, 0.5, 0.5, 0.3) -- 设置背景颜色为黑色，透明度为0.5
	rowFramebackground:SetScript("OnEnter", function(self)
		self:SetColorTexture(0.5, 0.5, 0.5, 1)
	end)
	rowFramebackground:SetScript("OnLeave", function(self)
		self:SetColorTexture(0.5, 0.5, 0.5, 0.3)
	end)
    -- 创建字体字符串
	
	local TABLECOLOR = ns.AddColorFrame(rowFrame, 2, -2, nil,53,23, "NPCs",id,"color") --创建色块
	TABLECOLOR:HookScript("OnEnter", function(self)
		rowFramebackground:SetColorTexture(0.5, 0.5, 0.5, 1)
	end)
	TABLECOLOR:HookScript("OnLeave", function(self)
		rowFramebackground:SetColorTexture(0.5, 0.5, 0.5, 0.3)
	end)
	local background1 = rowFrame:CreateTexture(nil, "ARTWORK")
	background1:SetTexture(130937)
	background1:SetPoint("LEFT", 58, 0)
	background1:SetSize(62,23)
	background1:SetColorTexture(0, 0, 0, .5) -- 设置背景颜色为黑色，透明度为0.5
	local font1 = rowFrame:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
	font1:SetPoint("LEFT",background1,"LEFT", 3, 0)
	font1:SetText(id)
	font1:SetFont(ns.fonts, 15, "OUTLINE")
	local background2 = rowFrame:CreateTexture(nil, "ARTWORK")
	background2:SetTexture(130937)
	background2:SetPoint("LEFT", 123, 0) 
	background2:SetSize(65,23)
	background2:SetColorTexture(0, 0, 0, .5) -- 设置背景颜色为黑色，透明度为0.5
	local font2 = ns.AddTableNotes(rowFrame,119,0,"NPCs",id,"note") --创建备注
	font2:HookScript("OnEnter", function ()
		rowFramebackground:SetColorTexture(0.5, 0.5, 0.5, 1)
	end)
	font2:SetScript("OnLeave", function()
		rowFramebackground:SetColorTexture(0.5, 0.5, 0.5, 0.3)
	end)
	local background3 = rowFrame:CreateTexture(nil, "ARTWORK")
	background3:SetTexture(130937)
	background3:SetPoint("LEFT", 191, 0)
	background3:SetSize(120,23)
	background3:SetColorTexture(0, 0, 0, .5)
	local font3 = rowFrame:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
	font3:SetPoint("LEFT",background3,"LEFT", 3, 0)
	font3:SetText(name)
	font3:SetFont(ns.fonts, 15, "OUTLINE")

	local check1 = ns.AddTableClick(rowFrame,14,L["NPC列表行血条"],"NPCs",id,"usehp")
	check1.check:HookScript("OnEnter", function ()
		rowFramebackground:SetColorTexture(0.5, 0.5, 0.5, 1)
	end)
	check1.check:HookScript("OnLeave", function()
		rowFramebackground:SetColorTexture(0.5, 0.5, 0.5, 0.3)
	end)
	local check2 = ns.AddTableClick(rowFrame,82,L["NPC列表行名字"],"NPCs",id,"usename")
	check2.check:HookScript("OnEnter", function ()
		rowFramebackground:SetColorTexture(0.5, 0.5, 0.5, 1)
	end)
	check2.check:HookScript("OnLeave", function()
		rowFramebackground:SetColorTexture(0.5, 0.5, 0.5, 0.3)
	end)
	local check3 = ns.AddTableClick(rowFrame,150,L["NPC列表行缩小"],"NPCs",id,"usescale")
	check3.check:HookScript("OnEnter", function ()
		rowFramebackground:SetColorTexture(0.5, 0.5, 0.5, 1)
	end)
	check3.check:HookScript("OnLeave", function()
		rowFramebackground:SetColorTexture(0.5, 0.5, 0.5, 0.3)
	end)
	local check4 = ns.AddTableClick(rowFrame,218,L["NPC列表行隐藏"],"NPCs",id,"usehide")
	check4.check:HookScript("OnClick", function (self)
		if self:GetChecked() then
			check1.check:Disable()
			check1.text:SetTextColor(.5,.5,.5,.5)
			check2.check:Disable()
			check2.text:SetTextColor(.5,.5,.5,.5)
			check3.check:Disable()
			check3.text:SetTextColor(.5,.5,.5,.5)
		else
			check1.check:Enable()
			check1.text:SetTextColor(1,1,1,.83)
			check2.check:Enable()
			check2.text:SetTextColor(1,1,1,.83)
			check3.check:Enable()
			check3.text:SetTextColor(1,1,1,.83)
		end
	end)
	if check4.check:GetChecked() then
		check1.check:Disable()
		check1.text:SetTextColor(.5,.5,.5,.5)
		check2.check:Disable()
		check2.text:SetTextColor(.5,.5,.5,.5)
		check3.check:Disable()
		check3.text:SetTextColor(.5,.5,.5,.5)
	else
		check1.check:Enable()
		check1.text:SetTextColor(1,1,1,.83)
		check2.check:Enable()
		check2.text:SetTextColor(1,1,1,.83)
		check3.check:Enable()
		check3.text:SetTextColor(1,1,1,.83)
	end
	check4.check:HookScript("OnEnter", function ()
		rowFramebackground:SetColorTexture(0.5, 0.5, 0.5, 1)
	end)
	check4.check:HookScript("OnLeave", function()
		rowFramebackground:SetColorTexture(0.5, 0.5, 0.5, 0.3)
	end)
	local closeButton = CreateFrame("Button", nil, rowFrame, "UIPanelCloseButton")
	closeButton:SetPoint("RIGHT", 0, 0)
	closeButton:SetScript("OnClick", function()
		PlateColorDB["NPCs"][id] = true -- 移除对应的表格内容
        rowFrame:Hide() -- 隐藏这一行
        local newOffset = -5
		for key, row in pairs(ns.NPCrowFrames) do
			if key and row:IsShown() and rowFrame~= row then -- 只对显示的行重新定位
            row:SetPoint("TOPLEFT", 5, newOffset)
            newOffset = newOffset - 28
			ns.NPCyOffset = newOffset
		end
		ns.NPCrowFrames[id] = nil
    end
	end)
	closeButton:SetScript("OnEnter", function(self)
		rowFramebackground:SetColorTexture(0.5, 0.5, 0.5, 1)
	end)
	closeButton:SetScript("OnLeave", function(self)
		rowFramebackground:SetColorTexture(0.5, 0.5, 0.5, 0.3)
	end)
	ns.NPCyOffset = ns.NPCyOffset - 28
	return rowFrame
end